Subject: Re: bug#27230: eldoc doc

From: Dmitry Gutov <[email-masked]>
Date: Wed, 28 Jun 2017 02:50:24 +0300

On 6/27/17 10:51 PM, Charles A. Roelli wrote:

> I think it follows the tradition of other *-message functions, which
> normally use the calling convention of `message'/`format-message'.

Do we really need a function in "the tradition of other *-message 
functions" if we don't ever use it like that?

> Agreed. Can you suggest how to word it?  Here's what I come up with:
> 
>    "Display FORMAT-STRING formatted with ARGS as an ElDoc message.
> 
> Store the message (if any) in `eldoc-last-message', and return it."

Looks okay to me, aside from what I mentioned above.

>>> Return `eldoc-last-message'."
>>
>> This is probably non-essential, and we can avoid mentioning it.
> 
> I think it once again follows the convention of other *-message
> functions, probably for consistency.

Yeah, ok.